export = processRows;
/**
 * parses the records and validates the hash value for each row as well as adding updated/created time stamps
 * @param {InsertObject} insertObj
 * @param {Array.<String>} attributes
 * @param {String} hash_attribute
 */
declare function processRows(insertObj: InsertObject, attributes: Array<string>, hash_attribute: string): void;
declare namespace processRows {
    export { validateAttribute };
}
import InsertObject = require("../../../InsertObject.js");
/**
 * Validates that attribute is under max size and is not null, undefined or empty.
 * @param attribute
 */
declare function validateAttribute(attribute: any): void;
